Package com.independentsoft.office.spreadsheet.styles

# Enum Class PatternType

java.lang.Object
java.lang.Enum<PatternType>
com.independentsoft.office.spreadsheet.styles.PatternType

All Implemented Interfaces:
  `Serializable`, `Comparable<PatternType>`, `Constable`

public enum PatternType extends Enum<PatternType>
The Enum PatternType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DARK_DOWN`
  `DARK_GRAY`
  `DARK_GRID`
  `DARK_HORIZONTAL`
  `DARK_TRELLIS`
  `DARK_UP`
  `DARK_VERTICAL`
  `GRAY_0625`
  `GRAY_125`
  `LIGHT_DOWN`
  `LIGHT_GRAY`
  `LIGHT_GRID`
  `LIGHT_HORIZONTAL`
  `LIGHT_TRELLIS`
  `LIGHT_UP`
  `LIGHT_VERTICAL`
  `MEDIUM_GRAY`
  `NONE`
  `NOT_DEFINED`
  `SOLID`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PatternType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PatternType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DARK_DOWN

    public static final PatternType DARK_DOWN

  - ### DARK_GRAY

    public static final PatternType DARK_GRAY

  - ### DARK_GRID

    public static final PatternType DARK_GRID

  - ### DARK_HORIZONTAL

    public static final PatternType DARK_HORIZONTAL

  - ### DARK_TRELLIS

    public static final PatternType DARK_TRELLIS

  - ### DARK_UP

    public static final PatternType DARK_UP

  - ### DARK_VERTICAL

    public static final PatternType DARK_VERTICAL

  - ### GRAY_0625

    public static final PatternType GRAY_0625

  - ### GRAY_125

    public static final PatternType GRAY_125

  - ### LIGHT_DOWN

    public static final PatternType LIGHT_DOWN

  - ### LIGHT_GRAY

    public static final PatternType LIGHT_GRAY

  - ### LIGHT_GRID

    public static final PatternType LIGHT_GRID

  - ### LIGHT_HORIZONTAL

    public static final PatternType LIGHT_HORIZONTAL

  - ### LIGHT_TRELLIS

    public static final PatternType LIGHT_TRELLIS

  - ### LIGHT_UP

    public static final PatternType LIGHT_UP

  - ### LIGHT_VERTICAL

    public static final PatternType LIGHT_VERTICAL

  - ### MEDIUM_GRAY

    public static final PatternType MEDIUM_GRAY

  - ### SOLID

    public static final PatternType SOLID

  - ### NONE

    public static final PatternType NONE

  - ### NOT_DEFINED

    public static final PatternType NOT_DEFINED

- ## Method Details

  - ### values

    public static PatternType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PatternType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null